//-*-C++-*-
#ifndef _PMAIN_
#define _PMAIN_

#include <gtk--/main.h>
#include <string>

namespace Gtk {

class PMain : public Main {

 public:

  /* ---- Ctor for PMain ---- */
  PMain(int &argc, char **&argv, bool have_locale=false);

  /* ---- Get the description of plotarea font ---- */
  const string getPlotFontName() const;
 
 private:

  /* ---- Flag for valid plotFont ---- */
  static bool haveValidFont;

  /* ---- Description of plotarea font (only one for all objects) ---- */
  static string plotFont;

  /* ---- Read the fontdescription ---- */
  bool readFontName(string& font);

 private:

};
}
#endif
