%define ver 0.1.16
%define rel     1
%define prefix  /usr/local

Summary: A viewer and tools for the universal dive computer format
Name: udcfview
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Utilities
Source: http://www.streit.cc/dive/udcfview-%{ver}.tar.gz
BuildRoot: /var/tmp/udcfview-root
Obsoletes: udcfview
Packager: Steffen Reith <streit@streit.cc>
URL: http://www.streit.cc/dive/
Docdir: %{prefix}/doc
BuildPrereq: gtkmm-devel >= 1.2.5
Requires: gtk+ >= 1.2.8, gtkmm >= 1.2.5
 
%description 
udcfview is a viewer for the universal dive computer format. This
format is intended to be a generic file format for interchanging
profiles of scuba dives.  The aim is to have a converter for each
profile format produced by an available dive computer into UDCF. 
 
%prep
%setup -q                                                                       

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make LDFLAGS=-s
 
%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
 
%post
/sbin/ldconfig
 
%clean
rm -rf $RPM_BUILD_ROOT
 
%files
%doc AUTHORS COPYING NEWS README TODO ChangeLog profile/*.profile xml/*.dtd xml/README.dtd doc/*.txt
%{prefix}/bin/*                                                                 
%{prefix}/lib/*
%{prefix}/share/*
